<!DOCTYPE html>
<html>
	<head>
		<title>Browse Book Collection</title>
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
		<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
		<link rel="preconnect" href="https://fonts.gstatic.com">
		<link href="https://fonts.googleapis.com/css2?family=Crimson+Text&display=swap" rel="stylesheet">
		<link rel="stylesheet" href="../css/styles.css">
	</head>
	<body>
		<nav class="navbar sticky-top navbar-expand-lg navbar-dark bg-secondary">
			<a class="navbar-brand" href="#">
				<img src="../computer-science.png">
			</a>
			<a class="navbar-brand" href="index.html">CSBooks</a>
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
			</button>
			<div class="collapse navbar-collapse" id="navbarSupportedContent">
				<ul class="navbar-nav mr-auto">
					<li class="nav-item">
						<a class="nav-link" href="books.html">Books</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" href="genres.html">Genres</a>
					</li>
				</ul>
				<ul class="navbar-nav ml-auto">
					<li class= "nav-item" id="login-button">
						<a class="nav-link" href="login.html">Login</a>
					</li>
					<li class="nav-item" id="book-review" hidden>
						<a class="nav-link" href="book-reviews.html">Book Reviews</a>
					</li>
					<li class="nav-item" id="wishlist" hidden>
						<a class="nav-link" href="wishlist.html">Wishlist</a>
					</li>
					<li class="nav-item user-feature" id="user-account" hidden>
						<a class="nav-link" href="user-account.html">Account</a>
					</li>
					<li class="nav-item" id="logout-button" hidden>
						<a class="nav-link" href="index.html">Logout</a>
					</li>
				</ul>
			</div>
		</nav>
		<h1 class="page-heading">Our Library</h1>
		<div id="button-div">
			<button class="btn btn-outline-secondary search-button" id="book-add-button" data-toggle="modal" data-target="#book-add-modal" type="submit" hidden><i class="glyphicon glyphicon-plus"></i>Add Book</button>
			<button class="btn btn-outline-secondary search-button" id="book-delete-button" data-toggle="modal" data-target="#book-delete-modal" type="submit" hidden><i class="glyphicon glyphicon-plus"></i>Delete Book</button>
			<button class="btn btn-outline-secondary dropdown-toggle search-button" id="book-update-button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" type="button" hidden><i class="glyphicon glyphicon-plus"></i>Update Book</button>
			<div class="dropdown-menu" aria-labelledby="book-update-button">
				<a class="dropdown-item" href="#" data-toggle="modal" data-target="#book-update-description-modal">Description</a>
				<a class="dropdown-item" href="#" data-toggle="modal" data-target="#book-update-publisher-modal">Publisher</a>
			</div>
			<button class="btn float-left btn-outline-secondary search-button" id="toggle-search-criteria" type="button">Toggle Search Criteria</button>
			<button class="btn float-left btn-outline-secondary search-button" id="hide-search-criteria" type="button" hidden>Hide Search Criteria</button>
		</div>
		<div id="book-add-modal" class="modal fade">
    		<div class="modal-dialog" role="document">
        		<div class="modal-content">
            		<div class="modal-header">
                		<h1 class="modal-title">Add New Book</h1>
            		</div>
            	<div class="modal-body">
                	<form role="form" id="add-new-book-form">
                    	<div class="form-group">
                        	<label class="control-label">Book Title</label>
                        	<div>
                            	<input type="text" class="form-control input-lg" id="book-title-add" name="bookTitle" placeholder="Book Title">
                        	</div>
                    	</div>
                    	<div class="form-group">
                        	<label class="control-label">Author(s)</label>
                        	<div>
                            	<input type="text" class="form-control input-lg" id="book-author-add" name="author" placeholder="Author">
                        	</div>
                    	</div>
                    	<div class="form-group">
                        	<label class="control-label">Description</label>
                        	<div>
                            	<input type="text" class="form-control input-lg" id="book-description-add" name="description" placeholder="Description">
                        	</div>
                    	</div>
                    	<div class="form-group">
                        	<label class="control-label">ISBN</label>
                        	<div>
                            	<input type="text" class="form-control input-lg" id="book-isbn-add" name="isbn" placeholder="ISBN">
                        	</div>
                    	</div>
                    	<div class="form-group">
                        	<label class="control-label">Publisher</label>
                        	<div>
                            	<input type="text" class="form-control input-lg" id="book-publisher-add" name="publisher" placeholder="Publisher">
                        	</div>
                    	</div>
                    	<div class="form-group">
                        	<label class="control-label">Date</label>
                        	<div>
                            	<input type="text" class="form-control input-lg" id="book-date-add" name="date" placeholder="Date">
                        	</div>
                    	</div>
                    	<div class="form-group">
                        	<label class="control-label">Genre(s)</label>
                        	<div>
                            	<input type="text" class="form-control input-lg" id="book-genre-add" name="genre" placeholder="Genre">
                        	</div>
                    	</div>
                    	<div class="form-group">
                        	<div>
                            	<button type="submit" class="btn btn-secondary nav-btn"><span>Submit</span></button>
                        	</div>
                    	</div>
                    	<p id="hidden-message-add" hidden>There was an issue adding your book</p>
                	</form>
          		</div>
        		</div><!-- /.modal-content -->
    		</div><!-- /.modal-dialog -->
		</div><!-- /.modal -->
		<div id="book-delete-modal" class="modal fade">
    		<div class="modal-dialog" role="document">
        		<div class="modal-content">
            		<div class="modal-header">
                		<h1 class="modal-title">Delete Book</h1>
            		</div>
            	<div class="modal-body">
                	<form role="form" id="delete-book-form">
                    	<div class="form-group">
                        	<label class="control-label">Book Title</label>
                        	<div>
                            	<input type="text" class="form-control input-lg" id="book-title-delete" name="bookTitle" placeholder="Book Title">
                        	</div>
                    	</div>
                    	<div class="form-group">
                        	<div>
                            	<button type="submit" class="btn btn-secondary nav-btn"><span>Submit</span></button>
                        	</div>
                    	</div>
                    	<p id="hidden-message-delete" hidden>There was an issue deleting the specified book</p>
                	</form>
          		</div>
        		</div><!-- /.modal-content -->
    		</div><!-- /.modal-dialog -->
		</div><!-- /.modal -->
		<div id="book-update-description-modal" class="modal fade">
    		<div class="modal-dialog" role="document">
        		<div class="modal-content">
            		<div class="modal-header">
                		<h1 class="modal-title">Update Book Description</h1>
            		</div>
            	<div class="modal-body">
                	<form role="form" id="update-description-book-form">
                    	<div class="form-group">
                        	<label class="control-label">Book Title</label>
                        	<div>
                            	<input type="text" class="form-control input-lg" id="book-title-update-description" name="bookTitle" placeholder="Book Title">
                        	</div>
                    	</div>
                    	<div class="form-group">
                        	<label class="control-label">New Description</label>
                        	<div>
                            	<input type="text" class="form-control input-lg" id="book-description-update-description" name="bookTitle" placeholder="Description">
                        	</div>
                    	</div>
                    	<div class="form-group">
                        	<div>
                            	<button type="submit" class="btn btn-secondary nav-btn"><span>Submit</span></button>
                        	</div>
                    	</div>
                    	<p id="hidden-message-update-description" hidden>There was an issue updating the description of the specified book</p>
                	</form>
          		</div>
        		</div><!-- /.modal-content -->
    		</div><!-- /.modal-dialog -->
		</div><!-- /.modal -->
		<div id="book-update-publisher-modal" class="modal fade">
    		<div class="modal-dialog" role="document">
        		<div class="modal-content">
            		<div class="modal-header">
                		<h1 class="modal-title">Update Publisher</h1>
            		</div>
            	<div class="modal-body">
                	<form role="form" id="update-publisher-book-form">
                    	<div class="form-group">
                        	<label class="control-label">Book Title</label>
                        	<div>
                            	<input type="text" class="form-control input-lg" id="book-title-update-publisher" name="bookTitle" placeholder="Book Title">
                        	</div>
                    	</div>
                    	<div class="form-group">
                        	<label class="control-label">New Publisher</label>
                        	<div>
                            	<input type="text" class="form-control input-lg" id="book-publisher-update-publisher" name="bookTitle" placeholder="Publisher">
                        	</div>
                    	</div>
                    	<div class="form-group">
                        	<div>
                            	<button type="submit" class="btn btn-secondary nav-btn"><span>Submit</span></button>
                        	</div>
                    	</div>
                    	<p id="hidden-message-update-publisher" hidden>There was an issue updating the publisher of the specified book</p>
                	</form>
          		</div>
        		</div><!-- /.modal-content -->
    		</div><!-- /.modal-dialog -->
		</div><!-- /.modal -->
		<br>
		<br>
		<div class="book-items">
			<div class="col-sm-4 col-sm-offset-4">
				<div class="input-group mb-1 ">
  					<input type="text" class="form-control search-criteria" id="search-by-title" placeholder="Search by Title" hidden>
  					<div class="input-group-append">
    					<button class="btn btn-secondary search-btn" id="title-btn" type="submit" hidden>Go</button>
  					</div>
				</div>
				<div class="input-group mb-1 ">
  					<input type="text" class="form-control search-criteria" id="search-by-author" placeholder="Search by Author" hidden>
  					<div class="input-group-append">
    					<button class="btn btn-secondary search-btn" id="author-btn" type="submit" hidden>Go</button>
  					</div>
				</div>
				<div class="input-group mb-1 ">
  					<input type="text" class="form-control search-criteria" id="search-by-publisher" placeholder="Search by Publisher" hidden>
  					<div class="input-group-append">
    					<button class="btn btn-secondary search-btn" id="publisher-btn" type="submit" hidden>Go</button>
  					</div>
				</div>
				<div class="input-group mb-1 ">
  					<input type="text" class="form-control search-criteria" id="search-by-isbn" placeholder="Search by ISBN" hidden>
  					<div class="input-group-append">
    					<button class="btn btn-secondary search-btn" id="isbn-btn" type="submit" hidden>Go</button>
  					</div>
				</div>
				<div class="input-group mb-1 ">
  					<input type="text" class="form-control search-criteria" id="search-by-genre" placeholder="Search by Genre" hidden>
  					<div class="input-group-append">
    					<button class="btn btn-secondary search-btn" id="genre-btn" type="submit" hidden>Go</button>
  					</div>
				</div>
			</div>
			<div class="search-error" id="error-text-general" hidden>Unable to fetch book list.</div>
			<div class="search-error" id="error-text-title" hidden>No book exists with specified title.</div>
			<div class="search-error" id="error-text-author" hidden>No books exists with specified author.</div>
			<div class="search-error" id="error-text-publisher" hidden>No books exists with specified publisher.</div>
			<div class="search-error" id="error-text-isbn" hidden>No book exists with specified isbn.</div>
			<div class="search-error" id="error-text-genre" hidden>No books exists with specified genre.</div>
			<table id="book-table" class="table table-responsive" hidden>
				<thead>
					<tr>
						<th scope="col">Title</th>
						<th scope="col">Publisher</th>
						<th scope="col">Date</th>
						<th scope="col">ISBN</th>
						<th scope="col">Description</th>
						<th scope="col">Rating</th>
						<th scope="col">Genres</th>
						<th scope="col">Authors</th>
					</tr>
				</thead>
				<tbody id="table-body-books" class="table-striped">

				<tbody>	
			</table>
		</div>
		<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>
		<script src="../scripts/server-requests.js"></script>
		<script src="../scripts/nav-items-user.js"></script>
		<script src="../scripts/books-request.js"></script>
	</body>
</html>